package de.jottyfan.timetrack.help;

import java.io.*;

import javax.servlet.*;

/**
 * 
 * @author henkej
 * 
 */
public class EncodingFilter implements Filter
{
	private String encoding;

	@Override
	public void destroy()
	{
	}

	@Override
	public void doFilter(ServletRequest servletRequest, ServletResponse servletResponse, FilterChain filterChain) throws IOException, ServletException
	{
		servletRequest.setCharacterEncoding(encoding);
		filterChain.doFilter(servletRequest, servletResponse);
	}

	@Override
	public void init(FilterConfig filterConfig) throws ServletException
	{
		encoding = filterConfig.getInitParameter("encoding");
		if (encoding == null)
		{
			encoding = "UTF-8";
		}
	}
}
