package de.jottyfan.timetrack.modules;

import java.sql.SQLException;

import org.jooq.DSLContext;
import org.jooq.TableLike;

import de.jooqFaces.JooqFacesContext;

/**
 * 
 * @author henkej
 *
 */
public class JooqGateway {
	private final JooqFacesContext facesContext;

	public JooqGateway(JooqFacesContext facesContext) {
		this.facesContext = facesContext;
	}

	public DSLContext getJooq() throws ClassNotFoundException, SQLException {
		return (DSLContext) facesContext.getJooq();
	}

	public Integer getFkLogin() {
		// TODO: make a login, add the profile id to the session and read it here from
		// facesContext
		return 1;
	}

	/**
	 * return amount of "select count(1) as amount " + subQuery
	 * 
	 * @param subQuery
	 * @return number of entries
	 * @throws ClassNotFoundException
	 * @throws SQLException
	 */
	public Long getAmount(TableLike<?> table) throws ClassNotFoundException, SQLException {
		return getJooq().selectCount().from(table).fetchOne(0, long.class);
	}
}
