package de.jottyfan.timetrack.modules;

import java.sql.SQLException;

import javax.faces.application.FacesMessage;

import org.jooq.exception.DataAccessException;

import de.jooqFaces.JooqFacesContext;

/**
 * 
 * @author henkej
 *
 */
public class SessionModel {

	public boolean doLogin(JooqFacesContext facesContext, SessionBean bean) {
		try {
			return new SessionGateway(facesContext).seekAndSetLogin(bean);
		} catch (DataAccessException | ClassNotFoundException | SQLException e) {
			FacesMessage msg = new FacesMessage(FacesMessage.SEVERITY_ERROR, "error on login", e.getMessage());
			facesContext.addMessage(null, msg);
			return false;
		}
	}

}
