package de.jottyfan.timetrack.moduls.done;

import static org.junit.jupiter.api.Assertions.assertEquals;

import org.junit.jupiter.api.Test;

import de.jottyfan.timetrack.modules.done.WholeDaySummaryBean;

/**
 * 
 * @author henkej
 *
 */
public class TestWholeDaySummaryBean {
	@Test
	public void testGetOvertime() {
		assertEquals("00:00", new WholeDaySummaryBean("", "", "07:48", "", 468).getOvertime());
		assertEquals("00:12", new WholeDaySummaryBean("", "", "08:00", "", 468).getOvertime());
		assertEquals("-00:48", new WholeDaySummaryBean("", "", "07:00", "", 468).getOvertime());
		assertEquals("-07:48", new WholeDaySummaryBean("", "", "00:00", "", 468).getOvertime());
		assertEquals("-07:48", new WholeDaySummaryBean("", "", "", "", 468).getOvertime());
		assertEquals("", new WholeDaySummaryBean("", "", "a:b", "", 468).getOvertime());
		assertEquals("00:00", new WholeDaySummaryBean("", "", "08:00", "", 480).getOvertime());
	}
}
