package de.jottyfan.timetrack.help;

/**
 * 
 * @author henkej
 *
 */
public enum Pages
{
	/**
	 * contact list
	 */
	CONTACT_LIST("/pages/contact/list.jsf"),
	/**
	 * contact item
	 */
	CONTACT_ITEM("/pages/contact/item.jsf"),
	/**
	 * note list
	 */
	NOTE_LIST("/pages/note/list.jsf"),
	/**
	 * note item
	 */
	NOTE_ITEM("/pages/note/item.jsf"),
	/**
	 * todo list
	 */
	TODO_LIST("/pages/todo/list.jsf"), 
	/**
	 * todo item
	 */
	TODO_ITEM("/pages/todo/item.jsf"),
	/**
	 * done init
	 */
	DONE_INIT("/pages/done/init.jsf"),
	/**
	 * done edit
	 */
	DONE_EDIT("/pages/done/edit.jsf"),
	/**
	 * done delete
	 */
	DONE_DELETE("/pages/done/delete.jsf"),
	/**
	 * done add
	 */
	DONE_ADD("/pages/done/add.jsf"),
	/**
	 * done clear
	 */
	DONE_CLEAR("/pages/done/clear.jsf"),
	/**
	 * organize init
	 */
	ORGANIZE_LIST("/pages/organize/list.jsf"),
	/**
	 * organize week
	 */
	ORGANIZE_WEEK("/pages/organize/week.jsf"),
	/**
	 * organize delete
	 */
	ORGANIZE_DELETE("/pages/organize/delete.jsf"), 
	/**
	 * organize add
	 */
	ORGANIZE_ADD("/pages/organize/add.jsf"),
	/**
	 * organize edit
	 */
	ORGANIZE_EDIT("/pages/organize/edit.jsf"),
	/**
	 * start
	 */
	START("/pages/start.jsf");

	private final String value;

	private Pages(String value)
	{
		this.value = value;
	}

	public String get()
	{
		return value;
	}
}
