package de.jottyfan.timetrack.modules.note;

import java.io.*;
import java.util.*;

import de.jottyfan.timetrack.db.note.enums.EnumCategory;
import de.jottyfan.timetrack.db.note.enums.EnumNotetype;
import de.jottyfan.timetrack.modules.Bean;

/**
 * 
 * @author henkej
 *
 */
public class NoteBean implements Bean, Serializable
{
	private static final long serialVersionUID = 1L;

	private final Integer pk;
	private String title;
	private EnumCategory category;
	private EnumNotetype type;
	private String content;
	private Date lastchange;

	public NoteBean(Integer pk)
	{
		super();
		this.pk = pk;
	}

	public String getTitle()
	{
		return title;
	}

	public void setTitle(String title)
	{
		this.title = title;
	}

	public EnumCategory getCategory()
	{
		return category;
	}

	public void setCategory(EnumCategory category)
	{
		this.category = category;
	}

	public EnumNotetype getType()
	{
		return type;
	}

	public void setType(EnumNotetype type)
	{
		this.type = type;
	}

	public String getContent()
	{
		return content;
	}

	public void setContent(String content)
	{
		this.content = content;
	}

	public Date getLastchange()
	{
		return lastchange;
	}

	public void setLastchange(Date lastchange)
	{
		this.lastchange = lastchange;
	}

	public static long getSerialversionuid()
	{
		return serialVersionUID;
	}

	public Integer getPk()
	{
		return pk;
	}
}
